<!DOCTYPE html>
<html class="no-js" lang="en">
	<head>
		<meta charset="UTF-8">

		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>vHack XT | ...</title>

		<meta name="description" content>
		<meta name="keywords" content>
		<meta name="author" content>

		<link href="favicon.ico" rel="shortcut icon">

		<link href="http://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet">
		<link type="text/css" href="css/demo.css" rel="stylesheet">
		<link type="text/css" href="css/component 2.css" rel="stylesheet">
		<link type="text/css" href="css/component.css" rel="stylesheet">
		<link type="text/css" href="css/linkstyles.css" rel="stylesheet">
		<link type="text/css" href="css/normalize.css" rel="stylesheet">
		<link type="text/css" href="css/tooltip-curved.css" rel="stylesheet">

		<!--[if lte IE 6]>
			<link rel="stylesheet" type="text/css" media="screen, projection" href="http://universal-ie6-css.googlecode.com/files/ie6.1.1b.css" />
		<![endif]-->
		<!--[if IE]>
			<script type="text/javascript" src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
		<![endif]-->

		<script src="js/modernizr-custom.js"></script>
	</head>

	<body>
		<nav class="pages-nav">
			<div class="pages-nav__item"><a class="link link--page" href="#home">Home</a></div>
			<div class="pages-nav__item"><a class="link link--page" href="#about">About</a></div>
			<div class="pages-nav__item"><a class="link link--page" href="#contact">Contact</a></div>
			<div class="pages-nav__item pages-nav__item--small"><a class="link link--page link--faded" href="#staff">Staff</a></div>
			<div class="pages-nav__item pages-nav__item--small"><a class="link link--page link--faded" href="#terms">Terms and Conditions</a></div>
			<div class="pages-nav__item pages-nav__item--social">
				<a class="link link--social link--faded" href="https://twitter.com/vHackOrg" target="_blank">
					<i class="fa fa-twitter"></i>
					<span class="text-hidden">Twitter</span>
				</a>
				<a class="link link--social link--faded" href="http://www.facebook.com/VHack-XT-446112538918078" target="_blank">
					<i class="fa fa-facebook"></i>
					<span class="text-hidden">Facebook</span>
				</a>
			</div>
		</nav>

		<div class="pages-stack">
			<div class="page" id="home">
				<header class="bp-header cf">
					<div class="grid">
						<div class="grid__item color-1">
							<a class="link-vhack link--vhack" data-letters="vHack XT" href="#">vHack XT</a>
						</div>
					</div>
					<h1 class="bp-header__title">Home</h1>
				</header>
				<img src="">
			</div>

			<div class="page" id="about">
				<header class="bp-header cf">
					<h1 class="bp-header__title">About</h1>
					<p class="info">We are US! o/</p>
				</header>
				<img src="">
			</div>

			<div class="page" id="contact">
				<header class="bp-header cf">
					<h1 class="bp-header__title">Contact</h1>
					<p class="info">
						<form class="simform" id="theForm" autocomplete="off" method="get">
							<div class="simform-inner">
								<ol class="questions">
									<li>
										<span><label for="q1">What's your first name?</label></span>
										<input id="q1" name="q1" type="text" required placeholder="Jean">
									</li>
									<li>
										<span><label for="q2">What's your last name?</label></span>
										<input id="q2" name="q2" type="text" required placeholder="Dupont">
									</li>
									<li>
										<span><label for="q3">What's your email adress?</label></span>
										<input id="q3" name="q3" type="text" required placeholder="jean.dupont@email.dns">
									</li>
									<li>
										<span><label for="q4">What's your message?</label></span>
										<input id="q4" name="q4" type="text" required placeholder="Hello, ...">
									</li>
								</ol><!-- Counter is automacaly updated by the numbers of <li> tags -->
								<button class="submit" type="submit">Send answers</button>
								<div class="controls">
									<button class="next"></button>
									<div class="progress"></div>
									<span class="number">
										<span class="number-current"></span>
										<span class="number-total"></span>
									</span>
									<span class="error-message"></span>
								</div>
							</div>
							<span class="final-message"></span>
						</form>
					</p>
				</header>
			</div>

			<div class="page" id="staff">
				<header class="bp-header cf">
					<h1 class="bp-header__title">Staff</h1>
					<p class="info">
						<div class="dummy-pois">
							<div class="tooltip tooltip-west">
								<span class="tooltip-item"><img class="img-staff" src="img/user1.png"></span>
								<span class="tooltip-content">User1<hr>My duty is to learn!</span>
							</div>
							<div class="tooltip tooltip-west">
								<span class="tooltip-item"><img class="img-staff" src="img/user2.png"></span>
								<span class="tooltip-content">User2<hr>My duty is to learn!</span>
							</div>
							<div class="tooltip tooltip-west">
								<span class="tooltip-item"><img class="img-staff" src="img/user3.png"></span>
								<span class="tooltip-content">User3<hr>My duty is to learn!</span>
							</div>
							<div class="tooltip tooltip-west">
								<span class="tooltip-item"><img class="img-staff" src="img/user4.png"></span>
								<span class="tooltip-content">User4<hr>My duty is to learn!</span>
							</div>
						</div>
					</p>
				</header>
			</div>

			<div class="page" id="terms">
				<header class="bp-header cf">
					<h1 class="bp-header__title">Terms and Conditions</h1>
					<p class="info">"Man is the only animal that can remain on friendly terms with the victims he intends to eat until he eats them." &mdash; Samuel Butler</p>
				</header>
			</div>
		</div>

		<button class="menu-button"><span>Menu</span></button>
		<span class="copyright">© Kasai. 2015</span>

		<script src="https://code.jquery.com/jquery-latest.min.js"></script>
		<script src="js/classie.js"></script>
		<script src="js/main.js"></script>
		<script src="js/stepsForm.js"></script>
		<script type="text/javascript">
			/* Google Analytics */
			var ga_user = "UA-74896603-1",
				ga_site = "http://vhack.biz";

			(function(i,s,o,g,r,a,m){i["GoogleAnalyticsObject"]=r;i[r]=i[r]||function(){
			(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
			m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
			})(window,document,"script","//www.google-analytics.com/analytics.js","ga");
			ga("create",ga_user,ga_site);
			ga("send","pageview");
			/* Google Analytics */

			/* Form */
			// I can't change document.getElementById by the jQuery selector because the form bug with it :/
			var theForm = document.getElementById("theForm");
			new stepsForm(theForm,{
				onSubmit:function(form){ // Classie smells shit
					classie.addClass(theForm.querySelector(".simform-inner"),"hide"); // Hide form
					var messageEl = theForm.querySelector(".final-message");
					messageEl.innerHTML = "Thank you! We'll be in touch.";
					classie.addClass(messageEl,"show"); // Show the message

					function form_submit(){
						form.submit();
						// Maybe with Ajax request if i have the time.
					};
					window.setTimeout(form_submit,3000); // 3 seconds
				}
			});
			/* Form */

			// Effects for the title
			// Many things to remove
			window.requestAnimFrame = (function(callback) {
				return window.requestAnimationFrame || window.webkitRequestAnimationFrame || window.mozRequestAnimationFrame || window.oRequestAnimationFrame || window.msRequestAnimationFrame ||
					function(callback) {
						window.setTimeout(callback, 1000 / 60);
					};
			})();

			var requestId,jolttime,
				c = document.getElementById('canv'),
				$ = c.getContext('2d'),
				s = 18, //grid square size
				mv = 10, //moving areas
				sp = 1, //move speed
				clm = 23, //columns
				rw = 10, //rows
				x = [], //x array
				y = [], //y array
				X = [], //starting X array
				Y = []; //starting Y array

			c.width  = c.offsetWidth;
			c.height = c.offsetHeight;

			for (var i = 0; i < clm * rw; i++) {
				x[i] = ((i % clm) - 0.5) * s;
				y[i] = (Math.floor(i / clm) - 0.5) * s;
				X[i] = x[i];
				Y[i] = y[i];
			}
			var t = 0;

			function jolt() {
				$.fillRect(0, 0, c.width, c.height);

				for (var i = 0; i < clm * rw; i++) {
					if (i % clm != clm - 1 && i < clm * (rw - 1) - 1) {
						$.fillStyle = "hsla(0,0,0,1)";
						$.strokeStyle = "#95D384";
						$.lineWidth = 1;
						$.beginPath();
						$.moveTo(x[i], y[i]);
						$.lineTo(x[i + 1], y[i + 1]);
						$.lineTo(x[i + clm + 1], y[i + clm + 1]);
						$.lineTo(x[i + clm], y[i + clm]);
						$.closePath();
						$.stroke();
						$.fill();
					}
				}
				for (var i = 0; i < rw * clm; i++) {
					if ((x[i] < X[i] + mv) && (x[i] > X[i] - mv) && (y[i] < Y[i] + mv) && (y[i] > Y[i] - mv)) {
						x[i] = x[i] + Math.floor(Math.random() * (sp * 2 + 1)) - sp;
						y[i] = y[i] + Math.floor(Math.random() * (sp * 2 + 1)) - sp;
					} else if (x[i] >= X[i] + mv) {
						x[i] = x[i] - sp;
					} else if (x[i] <= X[i] - mv) {
						x[i] = x[i] + sp;
					} else if (y[i] >= Y[i] + mv) {
						y[i] = y[i] - sp;
					} else if (y[i] <= Y[i] + mv) {
						y[i] = y[i] + sp;
					}
				}
				//controls time of electric shake> when counter equals 0, it will reset for 5s then start again.
				if (t % c.width == 0) {
					jolttime = setTimeout('jolt()', 5);
					t++;
				} else {
					jolttime = setTimeout('jolt()', 5);
					t++;
				}
			}
			// For Demo purposes only (show hover effect on mobile devices)
			[].slice.call( document.querySelectorAll(".grid a")).forEach(function(el){
				el.onclick = function(){return false;}
			});
		</script>
	</body>
</html>
